Jump to content
The Dark Mod Forums

Real hard Darkradiant failure when opening Material Editor in DR


Recommended Posts

When I open the Material Editor in DR , I get the following error and DR freezes:

image.thumb.png.aa15be371227ae071910d5af51717381.png

It's frozen, so I can't click yes or no.

This sometimes happens, usually it just crashes to desktop (possibly giving the same error, but it's too fast to see).

Link to comment
Share on other sites

I had a similar problem and I raised a bug here: https://bugs.thedarkmod.com/view.php?id=5986

I updated my graphics driver and the problem went away.

You at least get a reason for the compilation failure in your error message. It would be worth updating the bug report with your DR log file.

Edited by Frost_Salamander
Link to comment
Share on other sites

Does it help if I say that I don't have this issue? I don't usually update my graphics drivers - it's been a year or two.

I tried that "clear_warp" texture too, without issues. (I assume that it's supposed to be just a white box. If not, then I've got issues too.)

Your material editor is looking a little dark there, but that's probably just some kind of a dark mode skin.

Judging by the dialog message, this could very well be a temporary bug in your graphics card (and its drivers).

Still, DR should be made to check if GLSL is supported by a card driver before opening the Material Editor, and not just freak out, tableflip and crash to desktop.

 

Link to comment
Share on other sites

52 minutes ago, Nort said:

Your material editor is looking a little dark there, but that's probably just some kind of a dark mode skin.

Indeed, In Linux it shows up light or dark depending on which system theme you use.

Link to comment
Share on other sites

Posted (edited)
2 hours ago, Frost_Salamander said:

You at least get a reason for the compilation failure in your error message. It would be worth updating the bug report with your DR log file.

I'm going to do that, I should probably have giving more info.

The gpu is an Intel hd 3000. Maybe it's just too old and lacking? I can live with that, then I just have to accept that DR cannot be used on the laptop. But I would like to know if that is the reason at least.

Edited by datiswous
Link to comment
Share on other sites

5 minutes ago, datiswous said:

I'm going to do that, I should probably have giving more info.

The gpu is an Intel hd 3000. Maybe it's just too old and lacking? I can live with that, then I just have to accept that DR cannot be used on the laptop. But I would like to know if that is the reason at least.

It's not "just that". This user blame game has got to stop. Programs should properly check for inadequate hardware, or whatever, and respond gracefully - not crash.

Link to comment
Share on other sites

Definitely a graphics driver issue, but (1) we shouldn't crash or lock up no matter what, and (2) I wonder if we really need GLSL version 1.40 for a ZFill alpha shader (it can't be that complicated, surely).

Can you run the actual game on this same machine? Because if the game itself can render correctly with these drivers, perhaps our own version checks are too aggressive.

Link to comment
Share on other sites

I see that GLSL 4.00.9 came out in 2010, 12 years ago. Is that how old your graphics card is?

I'm asking because if you have a newer graphics card, and you've updated your drivers recently too, then it's clearly a bug that the devs here will be able to deal with.

Link to comment
Share on other sites

Also, in the Dark Radiant Console tab, the startup actually lists just what level of support your graphics card has. Could you perhaps post the list starting with "GL_VENDOR:" and ending with "[OpenGLRenderSystem] GLSL shading IS available."? I bet that's important for the devs.

Link to comment
Share on other sites

The darkradian log file (only the relevant info, I think)

Spoiler
(139874868931200) Loading map from unnamed.map
 (139874868931200) map load timer:  0.00 second(s) elapsed
 (139874868931200) GL_VENDOR: Intel Open Source Technology Center
 (139874868931200) GL_RENDERER: Mesa DRI Intel(R) HD Graphics 3000 (SNB GT2)
 (139874868931200) GL_VERSION: 3.0 Mesa 21.2.6
 (139874868931200) [OpenGLRenderSystem] GLSL shading IS available.
 (139874868931200) --- LoadMapFile ---
 (139874868931200) unnamed.map
 (139874868931200) 0 brushes
 (139874868931200) 0 patches
 (139874868931200) 0 entities
 (139874868931200) DarkRadiant init.py called, this is Python 2.7.18 (default, Mar  8 2021, 13:02:45) 
 (139874868931200) [GCC 9.3.0]
 (139874868931200) Registered script file commands/check_for_invalid_visportals.py as check_invalid_visportals
 (139874868931200) Registered script file commands/find_duplicate_entities.py as findDuplicateEntities
 (139874868931200) Registered script file commands/select_all_models_of_type.py as SelectAllModelsOfType
 (139874868931200) Registered script file commands/count_loot.py as CountLoot
 (139874868931200) Registered script file commands/test_targets.py as test_targets
 (139874868931200) Registered script file commands/example.py as Example
 (139874868931200) Registered script file commands/shift_textures_randomly.py as ShiftTexturesRandomly
 (139874868931200) Registered script file commands/export_obj.py as objExport
 (139874868931200) Registered script file commands/shift_textures_upwards_randomly.py as ShiftTexturesUpwardsRandomly
 (139874868931200) Registered script file commands/ase_export_blend.py as aseExportBlend
 (139874868931200) Registered script file commands/patchsplitter.py as SplitPatch
 (139874868931200) Registered script file commands/ase_export.py as aseExport
 (139874868931200) ScriptModule: Found 12 commands.
 (139874868931200) [OpenGLRenderSystem] GLSL shading IS available.
 (139874292180736) Auto-saving registry to user settings path.
 (139874292180736) XMLRegistry: Failed to save path /darkradiant/user/ui/colourschemes
 (139874292180736) Auto-saving registry to user settings path.
 (139874292180736) XMLRegistry: Failed to save path /darkradiant/user/ui/colourschemes
 (139874868931200) [OpenGLRenderSystem] GLSL shading IS available.
 (139874868931200) ShaderLibrary: definition not found: material
 (139874868931200) [renderer] Creating GLSL depthfill+alpha program
 (139874868931200) Unhandled Exception: Failed to compile GLSL shader "zfill_alpha_vp.glsl":
 (139874868931200) 0:1(10): error: GLSL 1.40 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, and 3.00 ES
 (139874868931200) 
 (139874868931200) SIGSEGV signal caught: 11
 (139874868931200) 0: /usr/lib/x86_64-linux-gnu/darkradiant/modules/libradiantcore.so(_ZN6applog15SegFaultHandler14_handleSigSegvEi+0x474) [0x7f3726234974]
 (139874868931200) 1: /lib/x86_64-linux-gnu/libc.so.6(+0x43090) [0x7f372be48090]
 (139874868931200) 2: /usr/lib/x86_64-linux-gnu/darkradiant/modules/libradiantcore.so(_ZN6render16InteractingLightC2ER13RendererLightRNS_14IGeometryStoreERNS_15IObjectRendererE+0xba) [0x7f3726416f0a]
 (139874868931200) 3: /usr/lib/x86_64-linux-gnu/darkradiant/modules/libradiantcore.so(_ZN6render20LightingModeRenderer25determineInteractingLightERKNS_11IRenderViewE+0x28e) [0x7f372641c75e]
 (139874868931200) 4: /usr/lib/x86_64-linux-gnu/darkradiant/modules/libradiantcore.so(_ZN6render20LightingModeRenderer6renderEjRKNS_11IRenderViewEm+0x103) [0x7f372641cb13]
 (139874868931200) 5: /usr/lib/x86_64-linux-gnu/darkradiant/modules/libradiantcore.so(_ZN6render18OpenGLRenderSystem6renderERNS_13SceneRendererEjRKNS_11IRenderViewE+0x74) [0x7f3726439e04]
 (139874868931200) 6: /usr/lib/x86_64-linux-gnu/darkradiant/modules/libradiantcore.so(_ZN6render18OpenGLRenderSystem14renderLitSceneEjRKNS_11IRenderViewE+0x32) [0x7f3726439ed2]
 (139874868931200) 7: /usr/lib/x86_64-linux-gnu/darkradiant/libwxutil.so(_ZN6wxutil13RenderPreview11drawPreviewEv+0x34b) [0x7f372d792e0b]
 (139874868931200) 8: /usr/lib/x86_64-linux-gnu/darkradiant/libwxutil.so(_ZN6wxutil8GLWidget7OnPaintER12wxPaintEvent+0x89) [0x7f372d771129]
 (139874868931200) 9: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler23ProcessEventIfMatchesIdERK21wxEventTableEntryBasePS_R7wxEvent+0x71) [0x7f372d3a6641]
 (139874868931200) 10: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler23SearchDynamicEventTableER7wxEvent+0x6a) [0x7f372d3a69da]
 (139874868931200) 11: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler11TryHereOnlyER7wxEvent+0x24) [0x7f372d3a6a74]
 (139874868931200) 12: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler19ProcessEventLocallyER7wxEvent+0x3b) [0x7f372d3a6b2b]
 (139874868931200) 13: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0x81) [0x7f372d3a6bd1]
 (139874868931200) 14: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler18SafelyProcessEventER7wxEvent+0xb) [0x7f372d3a695b]
 (139874868931200) 15: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN8wxWindow18GTKSendPaintEventsEP6_cairo+0x30d) [0x7f372cdd499d]
 (139874868931200) 16: /lib/x86_64-linux-gnu/libwx_gtk3u_gl-3.0.so.0(_ZN10wxGLCanvas14OnInternalIdleEv+0x2c) [0x7f372c6d9e2c]
 (139874868931200) 17: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN12wxWindowBase14SendIdleEventsER11wxIdleEvent+0x17) [0x7f372cf904b7]
 (139874868931200) 18: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN12wxWindowBase14SendIdleEventsER11wxIdleEvent+0x50) [0x7f372cf904f0]
 (139874868931200) 19: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN12wxWindowBase14SendIdleEventsER11wxIdleEvent+0x50) [0x7f372cf904f0]
 (139874868931200) 20: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN12wxWindowBase14SendIdleEventsER11wxIdleEvent+0x50) [0x7f372cf904f0]
 (139874868931200) 21: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN12wxWindowBase14SendIdleEventsER11wxIdleEvent+0x50) [0x7f372cf904f0]
 (139874868931200) 22: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN12wxWindowBase14SendIdleEventsER11wxIdleEvent+0x50) [0x7f372cf904f0]
 (139874868931200) 23: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN12wxWindowBase14SendIdleEventsER11wxIdleEvent+0x50) [0x7f372cf904f0]
 (139874868931200) 24: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN7wxFrame14SendIdleEventsER11wxIdleEvent+0x13) [0x7f372ce20683]
 (139874868931200) 25: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN9wxAppBase11ProcessIdleEv+0x9d) [0x7f372ce61f8d]
 (139874868931200) 26: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN5wxApp6DoIdleEv+0xa5) [0x7f372cd8c6a5]
 (139874868931200) 27: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(+0x2777a7) [0x7f372cd8c7a7]
 (139874868931200) 28: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x14e) [0x7f372d56f04e]
 (139874868931200) 29: /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x52400) [0x7f372d56f400]
 (139874868931200) 30: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_loop_run+0x83) [0x7f372d56f6f3]
 (139874868931200) 31: /lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_dialog_run+0x147) [0x7f372b5bc2e7]
 (139874868931200) 32: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN15wxMessageDialog9ShowModalEv+0x7a) [0x7f372ce33d1a]
 (139874868931200) 33: /usr/lib/x86_64-linux-gnu/darkradiant/libwxutil.so(_ZN6wxutil10Messagebox3runEv+0x15) [0x7f372d73aa45]
 (139874868931200) 34: /usr/lib/x86_64-linux-gnu/darkradiant/libwxutil.so(_ZN6wxutil10Messagebox4ShowERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEES8_N2ui7IDialog11MessageTypeEP8wxWindow+0x39) [0x7f372d73cac9]
 (139874868931200) 35: /usr/bin/darkradiant(+0x100a77) [0x5649fed9ba77]
 (139874868931200) 36: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(+0x7af07) [0x7f372d215f07]
 (139874868931200) 37: /lib/x86_64-linux-gnu/libwx_gtk3u_adv-3.0.so.0(+0x17c037) [0x7f372c85d037]
 (139874868931200) 38: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x14a56) [0x7f372b10aa56]
 (139874868931200) 39: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x1038) [0x7f372b129b48]
 (139874868931200) 40: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x93) [0x7f372b12a0f3]
 (139874868931200) 41: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x37a986) [0x7f372b783986]
 (139874868931200) 42: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x381ce8) [0x7f372b78ace8]
 (139874868931200) 43: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x3ed861) [0x7f372b7f6861]
 (139874868931200) 44: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x14a56) [0x7f372b10aa56]
 (139874868931200) 45: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x1038) [0x7f372b129b48]
 (139874868931200) 46: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x93) [0x7f372b12a0f3]
 (139874868931200) 47: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x2051a8) [0x7f372b60e1a8]
 (139874868931200) 48: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_cclosure_marshal_VOID__BOXEDv+0xa6) [0x7f372b10dc56]
 (139874868931200) 49: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x14a56) [0x7f372b10aa56]
 (139874868931200) 50: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x1038) [0x7f372b129b48]
 (139874868931200) 51: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x93) [0x7f372b12a0f3]
 (139874868931200) 52: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x201e8e) [0x7f372b60ae8e]
 (139874868931200) 53: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x20343b) [0x7f372b60c43b]
 (139874868931200) 54: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x206486) [0x7f372b60f486]
 (139874868931200) 55: /lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_event_controller_handle_event+0x70) [0x7f372b5d69f0]
 (139874868931200) 56: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x38fefd) [0x7f372b798efd]
 (139874868931200) 57: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x3e727b) [0x7f372b7f027b]
 (139874868931200) 58: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0x1b2) [0x7f372b10a802]
 (139874868931200) 59: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x27f96) [0x7f372b11df96]
 (139874868931200) 60: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x96d) [0x7f372b12947d]
 (139874868931200) 61: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x93) [0x7f372b12a0f3]
 (139874868931200) 62: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x3919b3) [0x7f372b79a9b3]
 (139874868931200) 63: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x24ced8) [0x7f372b655ed8]
 (139874868931200) 64: /lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_main_do_event+0x89b) [0x7f372b65818b]
 (139874868931200) 65: /lib/x86_64-linux-gnu/libgdk-3.so.0(+0x3cf69) [0x7f372b340f69]
 (139874868931200) 66: /lib/x86_64-linux-gnu/libgdk-3.so.0(+0x700f6) [0x7f372b3740f6]
 (139874868931200) 67: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x27d) [0x7f372d56f17d]
 (139874868931200) 68: /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x52400) [0x7f372d56f400]
 (139874868931200) 69: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_loop_run+0x83) [0x7f372d56f6f3]
 (139874868931200) 70: /lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_main+0x7d) [0x7f372b65712d]
 (139874868931200) 71: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN14wxGUIEventLoop5DoRunEv+0x25) [0x7f372cdaa575]
 (139874868931200) 72: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN15wxEventLoopBase3RunEv+0x31) [0x7f372d25ad41]
 (139874868931200) 73: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN8wxDialog9ShowModalEv+0x192) [0x7f372ce152f2]
 (139874868931200) 74: /usr/lib/x86_64-linux-gnu/darkradiant/libwxutil.so(_ZN6wxutil10DialogBase9ShowModalEv+0x2ba) [0x7f372d73158a]
 (139874868931200) 75: /usr/bin/darkradiant(+0x3809d4) [0x5649ff01b9d4]
 (139874868931200) 76: /usr/bin/darkradiant(+0x384462) [0x5649ff01f462]
 (139874868931200) 77: /usr/bin/darkradiant(+0x3a0bb7) [0x5649ff03bbb7]
 (139874868931200) 78: /usr/lib/x86_64-linux-gnu/darkradiant/modules/libradiantcore.so(_ZN3cmd7Command7executeERKSt6vectorINS_8ArgumentESaIS2_EE+0x2d3) [0x7f37261105c3]
 (139874868931200) 79: /usr/lib/x86_64-linux-gnu/darkradiant/modules/libradiantcore.so(_ZN3cmd13CommandSystem14executeCommandERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEERKSt6vectorINS_8ArgumentESaISA_EE+0x50) [0x7f3726105540]
 (139874868931200) 80: /usr/lib/x86_64-linux-gnu/darkradiant/modules/libradiantcore.so(_ZN3cmd13CommandSystem7executeERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE+0x7e6) [0x7f372610cb16]
 (139874868931200) 81: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler23ProcessEventIfMatchesIdERK21wxEventTableEntryBasePS_R7wxEvent+0x71) [0x7f372d3a6641]
 (139874868931200) 82: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler23SearchDynamicEventTableER7wxEvent+0x6a) [0x7f372d3a69da]
 (139874868931200) 83: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler11TryHereOnlyER7wxEvent+0x24) [0x7f372d3a6a74]
 (139874868931200) 84: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler19ProcessEventLocallyER7wxEvent+0x3b) [0x7f372d3a6b2b]
 (139874868931200) 85: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0x81) [0x7f372d3a6bd1]
 (139874868931200) 86: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN12wxEvtHandler18SafelyProcessEventER7wxEvent+0xb) [0x7f372d3a695b]
 (139874868931200) 87: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN10wxMenuBase9SendEventEii+0x83) [0x7f372cf3fa13]
 (139874868931200) 88: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(+0x317743) [0x7f372ce2c743]
 (139874868931200) 89: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0x1b2) [0x7f372b10a802]
 (139874868931200) 90: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x28814) [0x7f372b11e814]
 (139874868931200) 91: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x10ae) [0x7f372b129bbe]
 (139874868931200) 92: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x93) [0x7f372b12a0f3]
 (139874868931200) 93: /lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_widget_activate+0x82) [0x7f372b79d842]
 (139874868931200) 94: /lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_menu_shell_activate_item+0x166) [0x7f372b66b7d6]
 (139874868931200) 95: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x262a63) [0x7f372b66ba63]
 (139874868931200) 96: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x3e736f) [0x7f372b7f036f]
 (139874868931200) 97: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x14a56) [0x7f372b10aa56]
 (139874868931200) 98: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0x2e1) [0x7f372b128df1]
 (139874868931200) 99: /lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x93) [0x7f372b12a0f3]
 (139874868931200) 100: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x3919b3) [0x7f372b79a9b3]
 (139874868931200) 101: /lib/x86_64-linux-gnu/libgtk-3.so.0(+0x24ced8) [0x7f372b655ed8]
 (139874868931200) 102: /lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_main_do_event+0x89b) [0x7f372b65818b]
 (139874868931200) 103: /lib/x86_64-linux-gnu/libgdk-3.so.0(+0x3cf69) [0x7f372b340f69]
 (139874868931200) 104: /lib/x86_64-linux-gnu/libgdk-3.so.0(+0x700f6) [0x7f372b3740f6]
 (139874868931200) 105: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x27d) [0x7f372d56f17d]
 (139874868931200) 106: /lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x52400) [0x7f372d56f400]
 (139874868931200) 107: /lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_loop_run+0x83) [0x7f372d56f6f3]
 (139874868931200) 108: /lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_main+0x7d) [0x7f372b65712d]
 (139874868931200) 109: /lib/x86_64-linux-gnu/libwx_gtk3u_core-3.0.so.0(_ZN14wxGUIEventLoop5DoRunEv+0x25) [0x7f372cdaa575]
 (139874868931200) 110: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN15wxEventLoopBase3RunEv+0x31) [0x7f372d25ad41]
 (139874868931200) 111: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_ZN16wxAppConsoleBase8MainLoopEv+0x5a) [0x7f372d2223da]
 (139874868931200) 112: /lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0(_Z7wxEntryRiPPw+0x4d) [0x7f372d2ae73d]
 (139874868931200) 113: /usr/bin/darkradiant(+0x155ef6) [0x5649fedf0ef6]
 (139874868931200) 114: /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf3) [0x7f372be29083]
 (139874868931200) 115: /usr/bin/darkradiant(+0x16357e) [0x5649fedfe57e]

 

 

Link to comment
Share on other sites

I see that your Dark Radiant log is actually very different from mine. For example, you don't have a huge list named "GL_EXTENSIONS", which lists all the functions of your graphics card. It's probably because you're on the Linux version, while I'm on Windows.

"GL_VERSION: 3.0" shows that you're running version 3.0. I looked that version up on Wikipedia, and it directed me to "OpenGL ES (OpenGL for Embedded Systems), which is designed for embedded systems like smartphones, tablet computers, video game consoles and PDAs.". Maybe I'm wrong, but apparently there can be slight compatibility issues with the regular OpenGL, which I'm sure won't be beyond these devs to address.

Edited by Nort
Link to comment
Share on other sites

12 minutes ago, Nort said:

For example, you don't have a huge list named "GL_EXTENSIONS", which lists all the functions of your graphics card.

I skipped a whole section of loaded modules etc.

Link to comment
Share on other sites

4 minutes ago, datiswous said:

I skipped a whole section of loaded modules etc.

The GL_EXTENSIONS list would come right before "[OpenGLRenderSystem] GLSL shading IS available.".

Edited by Nort
Link to comment
Share on other sites

@datiswousCan you try to open the file gl/zfill_alpha_vp.glsl and change the version check in the first line to 130 instead of 140? It's possible that GLSL 1.30 is good enough, it worked for me locally at least.

#version 130

in vec4 attr_Position; // bound to attribute 0 in source, in object space
in vec4 attr_TexCoord; // bound to attribute 8 in source
...

I think the interaction glsl files might have a similar check in them, maybe you'll run into the next file - you can try to do the same change there.

About hat GLSL version, I remember checking the version history, and GLSL 1.40 was released somewhere around 2009? I have been thinking I'm pretty much on the safe side here, but maybe I've been wrong about this.

  • Like 1
Link to comment
Share on other sites

Posted (edited)
10 hours ago, greebo said:

I think the interaction glsl files might have a similar check in them, maybe you'll run into the next file - you can try to do the same change there.

Indeed I get another crash with interaction_vp.glsl , I'll try what you suggest . Some of these files have other requirements like 120 or 130.

Edit:

I get another error (I mean in the log after a crash):

 (140503713831552) [renderer] Creating GLSL shadowmap program
 (140503713831552) Unhandled Exception: Failed to compile GLSL shader "shadowmap_vp.glsl":
 (140503713831552) 0:63(43): error: `gl_InstanceID' undeclared
 (140503713831552) 0:65(68): error: `gl_InstanceID' undeclared
 (140503713831552) 0:65(52): error: operands to arithmetic operators must be numeric
 (140503713831552) 0:65(18): error: operands to arithmetic operators must be numeric
 (140503713831552) 
 (140503713831552) SIGSEGV signal caught: 11

gl_InstanceID is apparently not supported in GLSL 1.3 :

https://www.khronos.org/registry/OpenGL-Refpages/gl4/html/gl_InstanceID.xhtml

Edited by datiswous
Link to comment
Share on other sites

2 hours ago, datiswous said:

gl_InstanceID is apparently not supported in GLSL 1.3 :

Yes, so the 1.40 profile is needed after all. I haven't checked the TDM engine code, but I assume there must be a workaround in place there to achieve instanced rendering on older drivers. Not sure how much work that would be.

 

Link to comment
Share on other sites

18 minutes ago, greebo said:

Yes, so the 1.40 profile is needed after all. I haven't checked the TDM engine code, but I assume there must be a workaround in place there to achieve instanced rendering on older drivers. Not sure how much work that would be.

 

If you require the GL3.1 feature, then you should request/check what context you're given by the driver

AFAIR the version 3.1 was "funny" in that regard - you can neither request version nor profile (core or compatibility) when creating context so can only check its version after it has been created.

Also when it comes to HD3000, at least on windows its drivers were full of bugs on the features that were only just added in GL3.1. I think it was the only formally 'compatible' chip that we refused to support when we required 3.1 as minimum version. I suppose the modern Mesa drivers are much better in that regard.

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recent Status Updates

    • nbohr1more

      Anyone have any luck with light.setShader( string ) ? It seems to make whichever light you apply it to full-bright on the initial invoke?
      · 0 replies
    • thebigh

      I'm starting to think we need another mapping contest.
      · 9 replies
    • kano

      Don't you hate it when there's a quality discussion on a forum somewhere online about something, but then two disagreeing users derail and transform it into a back-and-forth poo slinging competition at one another?
      · 9 replies
    • Diego

      Oh look the status updates are back! 
      · 2 replies
    • JackFarmer

      After watching the first three and a half episodes of "The Sandman" last night, I realize once again that overly imaginative narratives are not for me. Also, the main actor looks like he has a toothache.
      Which makes me wonder, is there a Dark Mod mission with a medieval dentist?
      · 4 replies
×
×
  • Create New...